<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:31 CEST 2019 -->
<title>FBProcedureCall (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FBProcedureCall (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/jdbc/FBPreparedStatement.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/jdbc/FBProcedureParam.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/jdbc/FBProcedureCall.html" target="_top">Frames</a></li>
<li><a href="FBProcedureCall.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.jdbc</div>
<h2 title="Class FBProcedureCall" class="title">Class FBProcedureCall</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.jdbc.FBProcedureCall</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Cloneable.html?is-external=true" title="class or interface in java.lang">Cloneable</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">FBProcedureCall</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Cloneable.html?is-external=true" title="class or interface in java.lang">Cloneable</a></pre>
<div class="block">Represents procedure call.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBProcedureCall.html#OLD_CALLABLE_STATEMENT_COMPATIBILITY">OLD_CALLABLE_STATEMENT_COMPATIBILITY</a></span></code>
<div class="block"><code>true</code> if the old callable statement compatibility mode should
 be used, otherwise - <code>false</code>.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBProcedureCall.html#FBProcedureCall--">FBProcedureCall</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBProcedureCall.html#addInputParam-org.firebirdsql.jdbc.FBProcedureParam-">addInputParam</a></span>(<a href="../../../org/firebirdsql/jdbc/FBProcedureParam.html" title="class in org.firebirdsql.jdbc">FBProcedureParam</a>&nbsp;param)</code>
<div class="block">Add an input parameter to this procedure call.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBProcedureCall.html#addOutputParam-org.firebirdsql.jdbc.FBProcedureParam-">addOutputParam</a></span>(<a href="../../../org/firebirdsql/jdbc/FBProcedureParam.html" title="class in org.firebirdsql.jdbc">FBProcedureParam</a>&nbsp;param)</code>
<div class="block">Add an output parameter to this procedure call.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../org/firebirdsql/jdbc/FBProcedureParam.html" title="class in org.firebirdsql.jdbc">FBProcedureParam</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBProcedureCall.html#addParam-int-java.lang.String-">addParam</a></span>(int&nbsp;position,
        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;param)</code>
<div class="block">Add call parameter.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBProcedureCall.html#checkParameters--">checkParameters</a></span>()</code>
<div class="block">Checks if all parameters have been set.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBProcedureCall.html#clone--">clone</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBProcedureCall.html#equals-java.lang.Object-">equals</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;obj)</code>
<div class="block">Check if <code>obj</code> is equal to this instance.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../org/firebirdsql/jdbc/FBProcedureParam.html" title="class in org.firebirdsql.jdbc">FBProcedureParam</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBProcedureCall.html#getInputParam-int-">getInputParam</a></span>(int&nbsp;index)</code>
<div class="block">Get input parameter by the specified index.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../org/firebirdsql/jdbc/FBProcedureParam.html" title="class in org.firebirdsql.jdbc">FBProcedureParam</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBProcedureCall.html#getInputParams--">getInputParams</a></span>()</code>
<div class="block">Get the list of input parameters for this procedure call.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBProcedureCall.html#getName--">getName</a></span>()</code>
<div class="block">Get the name of the procedure to be called.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../org/firebirdsql/jdbc/FBProcedureParam.html" title="class in org.firebirdsql.jdbc">FBProcedureParam</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBProcedureCall.html#getOutputParam-int-">getOutputParam</a></span>(int&nbsp;index)</code>
<div class="block">Get the output parameter at the specified index.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../org/firebirdsql/jdbc/FBProcedureParam.html" title="class in org.firebirdsql.jdbc">FBProcedureParam</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBProcedureCall.html#getOutputParams--">getOutputParams</a></span>()</code>
<div class="block">Get a list of output parameters for this procedure call.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBProcedureCall.html#getSQL-boolean-">getSQL</a></span>(boolean&nbsp;select)</code>
<div class="block">Get native SQL for the specified procedure call.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBProcedureCall.html#hashCode--">hashCode</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBProcedureCall.html#mapOutParamIndexToPosition-int-">mapOutParamIndexToPosition</a></span>(int&nbsp;index)</code>
<div class="block">Map output parameter index to a column number of corresponding result
 set.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBProcedureCall.html#mapOutParamIndexToPosition-int-boolean-">mapOutParamIndexToPosition</a></span>(int&nbsp;index,
                          boolean&nbsp;compatibilityMode)</code>
<div class="block">Map output parameter index to a column number of corresponding result
 set.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBProcedureCall.html#registerOutParam-int-int-">registerOutParam</a></span>(int&nbsp;index,
                int&nbsp;type)</code>
<div class="block">Register output parameter.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBProcedureCall.html#setName-java.lang.String-">setName</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>
<div class="block">Set the name of the procedure to be called.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="OLD_CALLABLE_STATEMENT_COMPATIBILITY">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>OLD_CALLABLE_STATEMENT_COMPATIBILITY</h4>
<pre>public static final&nbsp;boolean OLD_CALLABLE_STATEMENT_COMPATIBILITY</pre>
<div class="block"><code>true</code> if the old callable statement compatibility mode should
 be used, otherwise - <code>false</code>. Current value - <code>true</code>.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.FBProcedureCall.OLD_CALLABLE_STATEMENT_COMPATIBILITY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="FBProcedureCall--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FBProcedureCall</h4>
<pre>public&nbsp;FBProcedureCall()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="clone--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clone</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;clone()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a></code>&nbsp;in class&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></dd>
</dl>
</li>
</ul>
<a name="getName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getName</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getName()</pre>
<div class="block">Get the name of the procedure to be called.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The procedure name</dd>
</dl>
</li>
</ul>
<a name="setName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setName</h4>
<pre>public&nbsp;void&nbsp;setName(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</pre>
<div class="block">Set the name of the procedure to be called.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - The name of the procedure</dd>
</dl>
</li>
</ul>
<a name="getInputParam-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInputParam</h4>
<pre>public&nbsp;<a href="../../../org/firebirdsql/jdbc/FBProcedureParam.html" title="class in org.firebirdsql.jdbc">FBProcedureParam</a>&nbsp;getInputParam(int&nbsp;index)</pre>
<div class="block">Get input parameter by the specified index.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>index</code> - index for which parameter has to be returned, first index is 1</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>instance of <a href="../../../org/firebirdsql/jdbc/FBProcedureParam.html" title="class in org.firebirdsql.jdbc"><code>FBProcedureParam</code></a>.</dd>
</dl>
</li>
</ul>
<a name="getOutputParam-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOutputParam</h4>
<pre>public&nbsp;<a href="../../../org/firebirdsql/jdbc/FBProcedureParam.html" title="class in org.firebirdsql.jdbc">FBProcedureParam</a>&nbsp;getOutputParam(int&nbsp;index)</pre>
<div class="block">Get the output parameter at the specified index.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>index</code> - The index of the parameter, first index is 1</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The parameter at the given index</dd>
</dl>
</li>
</ul>
<a name="mapOutParamIndexToPosition-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mapOutParamIndexToPosition</h4>
<pre>public&nbsp;int&nbsp;mapOutParamIndexToPosition(int&nbsp;index)
                               throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Map output parameter index to a column number of corresponding result
 set.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>index</code> - index to map.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>mapped column number or <code>index</code> if no output parameter
 with the specified index found (assuming that <a href="../../../org/firebirdsql/jdbc/FBProcedureCall.html#OLD_CALLABLE_STATEMENT_COMPATIBILITY"><code>OLD_CALLABLE_STATEMENT_COMPATIBILITY</code></a>
 constant is set to <code>true</code>, otherwise throws exception).</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if compatibility mode is switched off and no
 parameter was found (see <a href="../../../org/firebirdsql/jdbc/FBProcedureCall.html#OLD_CALLABLE_STATEMENT_COMPATIBILITY"><code>OLD_CALLABLE_STATEMENT_COMPATIBILITY</code></a>
 constant).</dd>
</dl>
</li>
</ul>
<a name="mapOutParamIndexToPosition-int-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mapOutParamIndexToPosition</h4>
<pre>public&nbsp;int&nbsp;mapOutParamIndexToPosition(int&nbsp;index,
                                      boolean&nbsp;compatibilityMode)
                               throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Map output parameter index to a column number of corresponding result
 set.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>index</code> - index to map.</dd>
<dd><code>compatibilityMode</code> - <code>true</code> if we should run in old compatibility mode.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>mapped column number or <code>index</code> if no output parameter
 with the specified index found and <code>compatibilityMode</code> is set.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if compatibility mode is switched off and no
 parameter was found.</dd>
</dl>
</li>
</ul>
<a name="getInputParams--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInputParams</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../org/firebirdsql/jdbc/FBProcedureParam.html" title="class in org.firebirdsql.jdbc">FBProcedureParam</a>&gt;&nbsp;getInputParams()</pre>
<div class="block">Get the list of input parameters for this procedure call.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>A list of all input parameters</dd>
</dl>
</li>
</ul>
<a name="getOutputParams--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOutputParams</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../org/firebirdsql/jdbc/FBProcedureParam.html" title="class in org.firebirdsql.jdbc">FBProcedureParam</a>&gt;&nbsp;getOutputParams()</pre>
<div class="block">Get a list of output parameters for this procedure call.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>A list of all output parameters</dd>
</dl>
</li>
</ul>
<a name="addInputParam-org.firebirdsql.jdbc.FBProcedureParam-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addInputParam</h4>
<pre>public&nbsp;void&nbsp;addInputParam(<a href="../../../org/firebirdsql/jdbc/FBProcedureParam.html" title="class in org.firebirdsql.jdbc">FBProcedureParam</a>&nbsp;param)</pre>
<div class="block">Add an input parameter to this procedure call.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>param</code> - The parameter to be added</dd>
</dl>
</li>
</ul>
<a name="addOutputParam-org.firebirdsql.jdbc.FBProcedureParam-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addOutputParam</h4>
<pre>public&nbsp;void&nbsp;addOutputParam(<a href="../../../org/firebirdsql/jdbc/FBProcedureParam.html" title="class in org.firebirdsql.jdbc">FBProcedureParam</a>&nbsp;param)</pre>
<div class="block">Add an output parameter to this procedure call.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>param</code> - The parameter to be added</dd>
</dl>
</li>
</ul>
<a name="addParam-int-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addParam</h4>
<pre>public&nbsp;<a href="../../../org/firebirdsql/jdbc/FBProcedureParam.html" title="class in org.firebirdsql.jdbc">FBProcedureParam</a>&nbsp;addParam(int&nbsp;position,
                                 <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;param)</pre>
<div class="block">Add call parameter. This method adds new parameter to the procedure call
 and tries to automatically place the parameter into the right collection
 if it contains a hint whether it is input or output parameter.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>position</code> - position of the parameter in the procedure call.</dd>
<dd><code>param</code> - contents of the parameter.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>instance of the <a href="../../../org/firebirdsql/jdbc/FBProcedureParam.html" title="class in org.firebirdsql.jdbc"><code>FBProcedureParam</code></a> that was created to
 represent this parameter.</dd>
</dl>
</li>
</ul>
<a name="registerOutParam-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>registerOutParam</h4>
<pre>public&nbsp;void&nbsp;registerOutParam(int&nbsp;index,
                             int&nbsp;type)
                      throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Register output parameter. This method marks parameter with the specified
 index as output. Parameters marked as output cannot be used as input
 parameters.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>index</code> - index of the parameter to mark as output.</dd>
<dd><code>type</code> - SQL type of the parameter.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if something went wrong.</dd>
</dl>
</li>
</ul>
<a name="getSQL-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSQL</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getSQL(boolean&nbsp;select)
              throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Get native SQL for the specified procedure call.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>native SQL that can be executed by the database server.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="checkParameters--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>checkParameters</h4>
<pre>public&nbsp;void&nbsp;checkParameters()
                     throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Checks if all parameters have been set.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - When some parameters don't have values, and are not registered as an out parameter.</dd>
</dl>
</li>
</ul>
<a name="equals-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>equals</h4>
<pre>public&nbsp;boolean&nbsp;equals(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;obj)</pre>
<div class="block">Check if <code>obj</code> is equal to this instance.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a></code>&nbsp;in class&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> iff <code>obj</code> is instance of this class
 representing the same procedure with the same parameters.</dd>
</dl>
</li>
</ul>
<a name="hashCode--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>hashCode</h4>
<pre>public&nbsp;int&nbsp;hashCode()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a></code>&nbsp;in class&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/jdbc/FBPreparedStatement.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/jdbc/FBProcedureParam.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/jdbc/FBProcedureCall.html" target="_top">Frames</a></li>
<li><a href="FBProcedureCall.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
